Package com.independentsoft.office.spreadsheet

# Class ChartSheet

java.lang.Object
com.independentsoft.office.spreadsheet.Sheet
com.independentsoft.office.spreadsheet.ChartSheet

public class ChartSheet extends Sheet
The Class ChartSheet.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.spreadsheet.Sheet

  `drawingObjects, drawingReference, headerFooterSettings, id, name, pageMargins, relationship, visibilityState, vmlDrawing, vmlDrawingHeaderFooter, vmlDrawingHeaderFooterReference, vmlDrawingReference`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartSheet()`
  Instantiates a new chart sheet.
  `ChartSheet​(String name)`
  Instantiates a new chart sheet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartSheet`
  `clone()`
  `String`
  `getCodeName()`
  Gets the code name.
  `List<CustomChartSheetView>`
  `getCustomSheetViews()`
  Gets the custom sheet views.
  `ChartSheetPageSetupSettings`
  `getPageSetupSettings()`
  Gets the page setup settings.
  `SheetTabColor`
  `getSheetTabColor()`
  Gets the sheet tab color.
  `List<ChartSheetView>`
  `getViews()`
  Gets the views.
  `boolean`
  `isPublished()`
  Checks if is published.
  `void`
  `setCodeName​(String codeName)`
  Sets the code name.
  `void`
  `setPublished​(boolean published)`
  Sets the published.
  `void`
  `setSheetTabColor​(SheetTabColor sheetTabColor)`
  Sets the sheet tab color.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.spreadsheet.Sheet

  `getDrawingObjects, getHeaderFooterSettings, getID, getName, getPageMargins, getVisibilityState, getVmlHeaderFooterObjects, getVmlObjects, setDrawingObjects, setID, setName, setPageMargins, setVisibilityState`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartSheet

    public ChartSheet()
    Instantiates a new chart sheet.

  - ### ChartSheet

    public ChartSheet​(String name)
    Instantiates a new chart sheet.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public ChartSheet clone()
    Specified by:
      `clone` in class `Sheet`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCustomSheetViews

    public List<CustomChartSheetView> getCustomSheetViews()
    Gets the custom sheet views.
    Returns:
      the custom sheet views

  - ### getViews

    public List<ChartSheetView> getViews()
    Gets the views.
    Returns:
      the views

  - ### getPageSetupSettings

    public ChartSheetPageSetupSettings getPageSetupSettings()
    Gets the page setup settings.
    Returns:
      the page setup settings

  - ### getSheetTabColor

    public SheetTabColor getSheetTabColor()
    Gets the sheet tab color.
    Returns:
      the sheet tab color

  - ### setSheetTabColor

    public void setSheetTabColor​(SheetTabColor sheetTabColor)
    Sets the sheet tab color.
    Parameters:
      `sheetTabColor` - the new sheet tab color

  - ### getCodeName

    public String getCodeName()
    Gets the code name.
    Returns:
      the code name

  - ### setCodeName

    public void setCodeName​(String codeName)
    Sets the code name.
    Parameters:
      `codeName` - the new code name

  - ### isPublished

    public boolean isPublished()
    Checks if is published.
    Returns:
      true, if is published

  - ### setPublished

    public void setPublished​(boolean published)
    Sets the published.
    Parameters:
      `published` - the new published